#### D.13.4.3 cycleLength

Procedure from library `polymake.lib` (see polymake_lib).

Usage:
  cycleLength(boundary,interior); list boundary, intvec interior

Assume:
  boundary is a list of integer vectors describing a cycle in some convex lattice polygon around the lattice point interior ordered clock wise

Return:
  string, the cycle length of the corresponding cycle in the dual tropical curve

Example:

    LIB "polymake.lib";
    // the integer vectors in boundary are lattice points on the boundary
    // of a convex lattice polygon in the plane
    list boundary=intvec(0,0),intvec(0,1),intvec(0,2),intvec(2,2),
    intvec(2,1),intvec(2,0);
    // interior is a lattice point in the interior of this lattice polygon
    intvec interior=1,1;
    // compute the general cycle length of a cycle of the corresponding cycle
    // in the dual tropical curve, note that (0,1) and (2,1) do not contribute
    cycleLength(boundary,interior);

User manual for Singular version 4.4.1, 2025, generated by texi2html.